import request from '../utils/request'

export function getPatientInfo(patientId) {
  return request({
    url: '/covid19Assessment/getPatientInfo',
    method: 'get',
    params: { patientId },
  })
}

export function submitCovidAssessment(data) {
  return request({
    url: '/covid19Assessment/submit',
    method: 'post',
    data,
  })
}

export function submitDepressionAssessment(data) {
  return request({
    url: '/questionnaire/submitDepressionAssessment',
    method: 'post',
    data,
  })
}

export function submitOutpatientQuestionnaire(data) {
  return request({
    url: '/questionnaire/submitOutpatientQuestionnaire',
    method: 'post',
    data,
  })
}

export function submitInpatientQuestionnaire(data) {
  return request({
    url: '/questionnaire/submitInpatientQuestionnaire',
    method: 'post',
    data,
  })
}

export function submitComplaintsAndSuggestions(data) {
  return request({
    url: '/questionnaire/submitComplaintsAndSuggestions',
    method: 'post',
    data,
  })
}
